RPMKEYS(8)

NAMN

rpmkeys — RPM-nyckelring

SYNOPSIS

rpmkeys {-K|--checksig} [flaggor] PAKETFIL …

rpmkeys {-d|--delete|-e|--erase} [flaggor] FINGERAVTRYCK …

rpmkeys {-x|--export} [flaggor] [FINGERAVTRYCK …]

rpmkeys {-i|--import} [flaggor] PUBNYCKEL …

rpmkeys {-l|--list} [flaggor] [FINGERAVTRYCK …]

rpmkeys --rebuild [flaggor] [ombyggnadsflaggor]

BESKRIVNING

rpmkeys används för att hantera rpm-nyckelringen och att verifiera pakets digitala signaturer med de ingående nycklarna.

För alla tillgängliga åtgärder, se ÅTGÄRDER.

ÅTGÄRDER

-K, --checksig
    Verifiera kontrollsummor och signaturer som ingår i PAKETFIL för att säkerställa paketets integritet och ursprung.

-d, --delete, -e, --erase
    Radera nycklarna som anges av FINGERAVTRYCK. Flaggorna --delete och -d är föråldrade.

-x, --export
    Skriv ut nycklarna som anges av FINGERAVTRYCK med en ASCII-pansarkodning. Om FINGERAVTRYCK inte anges, skriv ut alla nycklar.

--import
    Importera en ASCII-bepansrad publik nyckel. Digitala signaturer kan inte verifieras utan den motsvarande publika nyckeln (även certifikat).

-l, --list
    Lista alla nu importerade publika nycklar (även certifikat) via deras fingeravtryck och användar-ID:n. Om inga fingeravtryck anges, lista då alla nycklar.

--rebuild
    Skapa om lagringen av publika nycklar. Uppdatera till det senaste formatet och släpp oläsbara nycklar.

ARGUMENT

FINGERAVTRYCK
    Handtaget som används för alla åtgärder på nycklarna.
PAKETFIL
    En rpm-paketfil eller en förteckning.
PUBNYCKEL
    En ASCII-bepansrad publik OpenPGP-nyckel (även certifikat).

FLAGGOR

Se rpm-common(8) för flaggorna gemensamma för alla rpm-program.

OMBYGGNADSFLAGGOR

--from <fs|openpgp|rpmdb>
    Använd nycklarna från den angivna bakänden för att bygga om den nu konfigurerade bakänden för nyckellagring. Detta kan användas för att konvertera från en nyckellagring till en annan.

UTDATA
--checksig
    <_PAKETFIL_>: <element> <element> <OK|NOT OK>

    Med --verbose:
    <_PAKETFIL_>:
        <element>: <OK|NOTFOUND|BAD>
        …

--list
    <fingeravtryck> <namn> <användar-id> publik nyckel

KONFIGURATION

Det finns flera konfigurationer som påverkar beteendet hos denna verifikation, se rpm-config(5) för detaljer.
•   %_keyring
•   %_keyringpath
•   %_pkgverify_flags
•   %_pkgverify_level

SLUTSTATUS
Om det gick bra returneras 0, annars en nollskild felkod.

EXEMPEL

rpmkeys --export 771b18d3d7baa28734333c424344591e1964c5fc | sq inspect
    Exportera nyckeln 771b18d3d7baa28734333c424344591e1964c5fc för inspektion med sequoia-sq.

rpmkeys --erase 771b18d3d7baa28734333c424344591e1964c5fc
    Radera nyckeln 771b18d3d7baa28734333c424344591e1964c5fc från nyckelringen.

rpmkeys -K hello-2.0-1.x86_64.rpm
    Verifiera paketfilen hello-2.0-1.x86_64.rpm.

SE ÄVEN
popt(3), rpm(8), rpm-common(8), rpm-config(5), rpmsign(1)

rpmkeys --help — eftersom rpm(8) stödjer anpassning av flaggor via popt-alias är det omöjligt att garantera att vad som beskrivs i manualen stämmer med vad som finns tillgängligt.

http://www.rpm.org/

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.